# inputRandomEmail

Enters a random email address.

## Examples

```yaml
- inputRandomEmail
```

The email address will be in the format: `FirstName`\_`LastName`\_`Random4Digits`@`Domain`

e.g. `elijah_rodriguez_0nym@hotmail.com`

Where FirstName and LastName are taken from the list available on [inputRandomPersonName](/creating-tests/commands/inputrandompersonname.md).

Random4Digits is a mix of lower-case letters and numbers.

Domain is one of: `gmail.com`, `yahoo.com`, `hotmail.com`, `aol.com`, `msn.com`, `outlook.com`

## Related Commands

[inputText](/creating-tests/commands/inputtext.md)

[inputRandomPersonName](/creating-tests/commands/inputrandompersonname.md)

[inputRandomEmail](/creating-tests/commands/inputrandomemail.md)

[inputRandomText](/creating-tests/commands/inputrandomtext.md)<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moropo.com/creating-tests/commands/inputrandomemail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
